## net.i2p.client.naming
Class HostsTxtNamingService

    java.lang.Object
      net.i2p.client.naming.NamingService
          net.i2p.client.naming.HostsTxtNamingService

    public class HostsTxtNamingService

extends NamingService

A naming service based on the "hosts.txt" file.

Field Summary
`static java.lang.String` `DEFAULT_HOSTS_FILE` default hosts.txt filename
`static java.lang.String` `PROP_HOSTS_FILE` If this system property is specified, the tunnel will read the given file for hostname=destKey values when resolving names

Fields inherited from class net.i2p.client.naming.NamingService
`_context, PROP_IMPL`

Constructor Summary
`HostsTxtNamingService(I2PAppContext context)` The naming service should only be constructed and accessed through the application context.

Method Summary
`Destination` `lookup(java.lang.String hostname)` Look up a host name.
`java.lang.String` `reverseLookup(Destination dest)` Reverse look up a destination

Methods inherited from class net.i2p.client.naming.NamingService
`createInstance, lookupBase64`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_HOSTS_FILE

    public static final java.lang.String PROP_HOSTS_FILE

  If this system property is specified, the tunnel will read the given file for hostname=destKey values when resolving names

  See Also:
    Constant Field Values

### DEFAULT_HOSTS_FILE

    public static final java.lang.String DEFAULT_HOSTS_FILE

  default hosts.txt filename

  See Also:
    Constant Field Values

Constructor Detail

### HostsTxtNamingService

    public HostsTxtNamingService(I2PAppContext context)

  The naming service should only be constructed and accessed through the application context. This constructor should only be used by the appropriate application context itself.

Method Detail

### lookup

    public Destination lookup(java.lang.String hostname)

  Description copied from class: `NamingService`
  Look up a host name.

  Specified by:
    `lookup` in class `NamingService`
  Returns:
    the Destination for this host name, or `null` if name is unknown.

### reverseLookup

    public java.lang.String reverseLookup(Destination dest)

  Description copied from class: `NamingService`
  Reverse look up a destination

  Specified by:
    `reverseLookup` in class `NamingService`
  Returns:
    a host name for this Destination, or `null` if none is known. It is safe for subclasses to always return `null` if no reverse lookup is possible.